summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGrisha K2015-06-10 11:48:25 +0300
committerGrisha K2015-06-10 11:48:25 +0300
commitf29bb2d20557d909656683acb9e0d1472b304d64 (patch)
tree21aa81fc9c287de59b4a0904ab1c5722852f9b7f
downloadaur-f29bb2d20557d909656683acb9e0d1472b304d64.tar.gz
Initial commit to aur4
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD25
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..d7481b4c571
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = perevod-git
+ pkgdesc = Lightweight selection translator (GTK+)
+ pkgver = 0.0.0
+ pkgrel = 3
+ url = https://github.com/naspeh/perevod
+ arch = any
+ license = BSD
+ makedepends = git
+ depends = python-gobject
+ depends = gtk3
+ provides = perevod
+ source = perevod-git::git://github.com/naspeh/perevod.git
+ sha256sums = SKIP
+
+pkgname = perevod-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d6b9623b400
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,25 @@
+# Maintainer: naspeh <naspeh@ya.ru>
+
+pkgname=perevod-git
+pkgver=0.0.0
+pkgrel=3
+pkgdesc='Lightweight selection translator (GTK+)'
+arch=('any')
+url='https://github.com/naspeh/perevod'
+license=('BSD')
+depends=('python-gobject' 'gtk3')
+makedepends=('git')
+provides=('perevod')
+source=("$pkgname"::'git://github.com/naspeh/perevod.git')
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "$pkgname"
+ printf "%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+package() {
+ cd "$pkgname"
+ python setup.py build || return 1
+ python setup.py install --root=$pkgdir --optimize=1 || return 1
+}